<?php

/**
 * Fired during plugin activation
 *
 * @link       https://competition.demo.getfoundni.co.uk
 * @since      1.0.0
 *
 * @package    Gfni_Competition_Lists
 * @subpackage Gfni_Competition_Lists/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Gfni_Competition_Lists
 * @subpackage Gfni_Competition_Lists/includes
 * @author     Ryan Hull <ryan@getfoundni.co.uk>
 */
class Gfni_Competition_Lists_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
 

		wp_insert_post(array (
			'post_type' => 'page',
			'post_title' => 'Entry Lists',
			'post_name' => 'competition-ticket-lists',
			'post_content' => '',
			'post_status' => 'publish'
		 ));

        $plugin_post_types = new Gfni_Competition_Lists_Post_Types(); 
        $plugin_post_types->competition_lists_pt(); 
        flush_rewrite_rules();
	}

}
